#
# spec file for package enscript (Version 1.6.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  lprng
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool lprng perl rpm

Name:         enscript
License:      GPL
Group:        Productivity/Publishing/PS
Provides:     genscript nenscrip
PreReq:       %install_info_prereq
Autoreqprov:  on
Version:      1.6.2
Release:      822
Summary:      ASCII to PostScript(tm) converter
Source:       enscript-1.6.2.tar.bz2
Patch:        enscript-1.6.2.dif
Patch1:       enscript-1.6.2-CAN-2004-1184.patch
Patch2:       enscript-1.6.4-CAN-2004-1185.patch
Patch3:       enscript-1.6.4-CAN-2004-1186.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Enscript converts ASCII files to PostScript and writes the generated
output to a file or sends it directly to the printer.

Enscript is configured in /etc/enscript.cfg.



Authors:
--------
    Markku Rossi <mtr@iki.fi>

%prep
%setup -q
%patch -P 1 -p 0 -b .CAN-2004-1184
%patch -P 2 -p 1 -b .CAN-2004-1185
%patch -P 3 -p 1 -b .CAN-2004-1186
%patch

%build
  CFLAGS="-Wall $RPM_OPT_FLAGS"
  LDFLAGS='-s'
  export CC CFLAGS LDFLAGS
  autoreconf --force --install
  test ! -f po/Makevars.template || mv po/Makevars.template po/Makevars
  sh ./configure \
	--prefix=/usr \
	--sysconfdir=/etc \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-media=LC_PAPER \
	--with-encoding=LC_CTYPE
  pushd lib/
    make -f Makefile-encodings
  popd
  pushd afmlib/
    make -f Makefile-encodings
  popd
  make CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS"

%install
  make install-strip DESTDIR=$RPM_BUILD_ROOT
  ln -sf enscript   $RPM_BUILD_ROOT/usr/bin/genscript
  ln -sf enscript.1 $RPM_BUILD_ROOT%{_mandir}/man1/genscript.1

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info --delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc docs/ChangeLog docs/FAQ.html
/usr/bin/diffpp
/usr/bin/enscript
/usr/bin/genscript
/usr/bin/mkafmmap
/usr/bin/sliceprint
/usr/bin/over
/usr/bin/states
%config /etc/enscript.cfg
%doc %{_mandir}/man1/diffpp.1.gz
%doc %{_mandir}/man1/enscript.1.gz
%doc %{_mandir}/man1/genscript.1.gz
%doc %{_mandir}/man1/sliceprint.1.gz
%doc %{_mandir}/man1/states.1.gz
/usr/share/enscript
%doc %{_infodir}/%{name}.info.gz

%changelog -n enscript
* Thu Feb 10 2005 - lnussel@suse.de
- fix patch for CAN-2004-1186 (#49680)
* Tue Feb 01 2005 - werner@suse.de
- Add three security fixes CAN-2004-1184,1185,1186 (bug #49680)
- Adopt CAN-2004-1184 to enscript 1.6.2
* Fri Feb 28 2003 - werner@suse.de
- Fix bug #23407: use intall-info for info file
* Mon Nov 18 2002 - schwab@suse.de
- Add AM_GNU_GETTEXT_VERSION.
* Thu Oct 10 2002 - meissner@suse.de
- The datafiles also need to be installed to the buildroot.
* Thu Oct 10 2002 - werner@suse.de
- For the full functionality a lpr (at compile time) is required.
* Thu Oct 10 2002 - ro@suse.de
- removed bogus self-provides (again)
* Wed Oct 09 2002 - meissner@suse.de
- does not need lprng at all (falls back to 'lpr' as default spool)
- buildrooted, rpm_opt_flags.
* Tue Apr 09 2002 - ro@suse.de
- fix build with autoconf/gettext
* Fri Apr 05 2002 - ro@suse.de
- autoconf: LIBOBJS vs AC_LIBOBJ
* Sat Mar 09 2002 - ro@suse.de
- replaced lprold by lprng in neededforbuild
* Wed Jan 16 2002 - werner@suse.de
- tmpnam -> mkstemp (make secure temporary file)
* Fri Dec 07 2001 - werner@suse.de
- Make Euro work with ghostscript based printers
- Use keywords LC_PAPER and LC_CTYPE for getting
  paper size and encoding
- The option -m of enscript now accepts a mailto argument.
- Move from Makefile.Linux to spec
* Mon Oct 01 2001 - schwab@suse.de
- Fix quoting in shell script.
* Fri Jun 15 2001 - schwab@suse.de
- Run aclocal and automake before configuring.
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 29 1999 - uli@suse.de
- update -> 1.6.2
* Mon Mar 02 1998 - florian@suse.de
- update to new version 1.5.5
* Thu Nov 13 1997 - ro@suse.de
- added lprold as neededforbuild
* Fri Oct 10 1997 - florian@suse.de
- update to new version 1.5.1
* Thu Jan 02 1997 - florian@suse.de
- update to new version 1.4.2
* Thu Jan 02 1997 - florian@suse.de
  new version 1.4.0
